[xmonad] Applied: Re: darcs patch: Correct warnings with ghc-6.12 (and 1 more)

darcswatch at nomeata.de darcswatch at nomeata.de
Sun Feb 7 17:25:29 EST 2010

This 1-patch bundle was just applied to http://code.haskell.org/xmonad:

20100118181532  Adam Vogt <vogt.adam at gmail.com>
 * Correct warnings with ghc-6.12
 Changes include:
   - compatibility with base-4 or 3 (base-2 untested) by using
     extensible-exceptions. This adds an additional dependency for users of
   - list all dependencies again when -ftesting (change in Cabal-
   - remove unnecessary imports
   - suppress -fwarn-unused-do-bind, with appropriate Cabal-1.8 workaround,
     described here:

This message was brought to you by DarcsWatch

More information about the xmonad mailing list